Description

Summary

This patch applies the following changes to the watch button:

1. Changes the watch button icon to a more common eye image, aligning its visual representation with its function, as seen in

GitHub and Jira

2. Unifies the meaning of the button icon and label to represent the "button action," improving the clarity of the watch button UI and

standardizing button UI across Redmine

Before applying the patch:
After applying the patch:
The changes are also applied to the Wiki page's watch button.

Detailed changes

1. Changes the watch button icon to a more common eye image, aligning its visual representation with its function, as seen

in GitHub and Jira

The watch function in Redmine appears to be similar to that in GitHub and Jira. In those services, the eye icon is typically used to

represent the watch function.

Aligning Redmine's watch button UI with a more common watch function UI will help users, especially those new to Redmine, in

understanding the purpose of the watch function.

2. Unifies the meaning of the button icon and label to represent the button action, improving the clarity of the watch button

UI and standardizing button UI across Redmine

Redmine's watch button UI currently displays the icon and label with differing meanings. It also differs from the project bookmark

button UI.

Button with State Icon Meaning Label Meaning

Watch Current State Button Action (Watch/Unwatch)

Bookmark Button Action (Add/Remove Bookmark) Button Action (Add/Remove Bookmark)

Project bookmark function:
By changing the watch button icon to an image that represents the button action, the UI of stateful buttons will be unified across

Redmine, as follows:

Button with State Icon and Label Meaning

Watch Button Action (Watch/Unwatch)

Bookmark Button Action (Add/Remove Bookmark)

Implementation

After applying this patch, the star image and CSS classes (icon-fav, icon-fav-off) are no longer needed, but they have been retained

for compatibility with 3rd party plugins and themes.

Additionally, all tests, including system tests, have been confirmed to pass with this patch applied.

https://github.com/hidakatsuya/redmine/actions/runs/13478143930

Associated revisions

Revision 23557 - 2025-03-25 09:44 - Go MAEDA

Changes issue watch button icon to eye image to align icon with function and improve visual clarity (#42305).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-03-01 06:49 - Go MAEDA

- Target version set to 6.1.0

I support this change. Improving the consistency of icon meanings is a good step forward. Changing the icon from a star to an eye also makes it more

intuitive, as it better represents the "Watch" feature.

I am setting the target version to 6.1.0.

#2 - 2025-03-25 09:45 - Go MAEDA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r23557. Thank you for your contribution.
